package org.springframework.boot.loader.archive;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.File;
import org.springframework.boot.loader.archive.Archive;
import org.springframework.boot.loader.archive.ExplodedArchive;

class ArchiveIterator extends ExplodedArchive.AbstractIterator<Archive> {
  ArchiveIterator(File root, boolean recursive, Archive.EntryFilter searchFilter, Archive.EntryFilter includeFilter) {
    super(root, recursive, searchFilter, includeFilter);
  }
  
  protected Archive adapt(ExplodedArchive.FileEntry entry) {
    File file = entry.getFile();
    return file.isDirectory() ? (Archive)new ExplodedArchive(file) : (Archive)new ExplodedArchive.SimpleJarFileArchive(entry);
  }
}
